package com.muyu.system.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.SysDept;
import com.muyu.system.remote.factory.RemoteSysDeptFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 远程调用部门接口 RemoteSysDeptService
 *
 * @author DeKangLiu
 * Date 2024/6/7 09:00
 */
@FeignClient(
        contextId = "remoteSysDeptService",
        value = ServiceNameConstants.SYSTEM_SERVICE,
        fallbackFactory = RemoteSysDeptFactory.class,
        path = "/dept"
)
public interface RemoteSysDeptService {
    @GetMapping("/selectDeptByName")
    Result<SysDept> selectDeptByName(@RequestParam("name") String name);

    @PostMapping
    Result add(@Validated @RequestBody SysDept dept);
}
