package com.muyu.system.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.SysUser;
import com.muyu.system.remote.RemoteSysUserService;
import org.springframework.cloud.openfeign.FallbackFactory;

/**
 * 远程调用用户熔断器 RemoteSysUserFactory
 *
 * @author DeKangLiu
 * Date 2024/6/7 08:54
 */
public class RemoteSysUserFactory implements FallbackFactory<RemoteSysUserService> {

    @Override
    public RemoteSysUserService create(Throwable cause) {
        return new RemoteSysUserService() {

            /**
             * 新增用户服务
             * @param user
             * @return
             */
            @Override
            public Result add(SysUser user) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
